Subject: Re: [P2PSIP] AD evaluation: draft-ietf-p2psip-concepts-07

From: Alissa Cooper <[email-masked]>
Date: Mon, 8 Feb 2016 14:35:19 -0800

Hi David,

What is the status of this?

Thanks,
Alissa

> On Jan 14, 2016, at 11:05 AM, Alissa Cooper <[email-masked]> wrote:
> 
> Great, thank you.
> 
>> On Jan 14, 2016, at 10:39 AM, David Bryan <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> Thanks for the note -- quite soon. Between end of semester, holiday travel, and now start of the semester there was no time, but things have cleared up and it is back on my list. 
>> 
>> David
>> 
>> On Thu, Jan 14, 2016 at 10:11 AM, Alissa Cooper <[email-masked] <mailto:[email-masked]>> wrote:
>> Hi David,
>> 
>> Do you have an estimate for when this will be completed?
>> 
>> Thanks,
>> Alissa
>> 
>>> On Nov 25, 2015, at 7:55 PM, David Bryan <[email-masked] <mailto:[email-masked]>> wrote:
>>> 
>>> Thank you very much for the review and comments.
>>> 
>>> I will look over the comments, and revise shortly.
>>> 
>>> On Nov 25, 2015 4:58 PM, "Alissa Cooper" <[email-masked] <mailto:[email-masked]>> wrote:
>>> I have reviewed this document in preparation for IETF last call. There are a few edits that need to be made before this document can be last-called:
>>> 
>>> 1) The document needs a security considerations section. It is perfectly fine if this section mostly points to the security considerations of the other p2psip documents, but it needs to be there.
>>> 
>>> 2) Section 3.5 and Section 7 have text marked as “OPEN ISSUE.” These need to be resolved.
>>> 
>>> 3) Section 1 should be deleted.
>>> 
>>> 
>>> While you’re making changes, please address the following:
>>> 
>>> 4) Fix the ID nits.
>>> 
>>> 5) I think Section 3.5 should reference RFC 6762 and 6763 rather than Bonjour.
>>> 
>>> 6) The Wikipedia references in Section 5 and 6 don’t really seem appropriate and don’t add much value, so I would suggest deleting them.
>>> 
>>> 7) References to “the RELOAD base draft” should not call it a draft and should reference the RFC.
>>> 
>>> 
>>> Thanks,
>>> Alissa
>>> _______________________________________________
>>> P2PSIP mailing list
>>> [email-masked] <mailto:[email-masked]>
>>> https://www.ietf.org/mailman/listinfo/p2psip <https://www.ietf.org/mailman/listinfo/p2psip>
>> 
>> 
> 
> _______________________________________________
> P2PSIP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/p2psip

---

From: David Bryan <[email-masked]>
Date: Thu, 11 Feb 2016 10:47:47 -0600

Hi all,

A new version of the draft has been submitted. Alissa, thanks for your
close review, I have addressed the issues you mention (see below), and
don't believe there are actually any current open issues, except possibly
changing this away from the language around pre-5378 contributions. I am
fine with moving it to the newer disclaimer (conforms to 5378), and will
attempt to ask each author to comment on this thread that they also are
fine with it using the new trust language. Other specifics inline:

On Wed, Nov 25, 2015 at 4:58 PM, Alissa Cooper <[email-masked]> wrote:

> I have reviewed this document in preparation for IETF last call. There are
> a few edits that need to be made before this document can be last-called:
>
> 1) The document needs a security considerations section. It is perfectly
> fine if this section mostly points to the security considerations of the
> other p2psip documents, but it needs to be there.
>

Added, along with an IANA considerations (there are no considerations)

> 2) Section 3.5 and Section 7 have text marked as “OPEN ISSUE.” These need

After review, I believe these have all been resolved. They have been
removed.

Section 1 (editors comments) has been deleted.

> While you’re making changes, please address the following:

The only nits now are the pre-5378 contributions and the fact that it
somehow believes one of the figures contains code comments (it doesn't).
There are no other outstanding nits.

> 6) The Wikipedia references in Section 5 and 6 don’t really seem
> appropriate and don’t add much value, so I would suggest deleting them.
>

Agreed and corrected.

> should reference the RFC.

Fixed. In addition, RFCs 7363 and 7374 have issued since the last revision.
I have corrected them as well. -sip and -diagnostics are still drafts, and
are still referenced (current version) as such.

Again, thank you for the review and sorry for the delay in iteration.

---

From: Dean Willis <[email-masked]>
Date: Thu, 11 Feb 2016 18:36:59 -0600

Agreed on all counts.

> On Feb 11, 2016, at 10:47, David Bryan <[email-masked]> wrote:
> 
> Hi all,
> 
> A new version of the draft has been submitted. Alissa, thanks for your close review, I have addressed the issues you mention (see below), and don't believe there are actually any current open issues, except possibly changing this away from the language around pre-5378 contributions. I am fine with moving it to the newer disclaimer (conforms to 5378), and will attempt to ask each author to comment on this thread that they also are fine with it using the new trust language. Other specifics inline:
> 
> On Wed, Nov 25, 2015 at 4:58 PM, Alissa Cooper <[email-masked] <mailto:[email-masked]>> wrote:
> After review, I believe these have all been resolved. They have been removed.
> 
> The only nits now are the pre-5378 contributions and the fact that it somehow believes one of the figures contains code comments (it doesn't). There are no other outstanding nits.
>  
> Fixed. In addition, RFCs 7363 and 7374 have issued since the last revision. I have corrected them as well. -sip and -diagnostics are still drafts, and are still referenced (current version) as such.
>

---

From: Alissa Cooper <[email-masked]>
Date: Thu, 18 Feb 2016 14:50:01 -0800

David,

The changes look good to me, thanks. I can request IETF LC while we wait for Spencer and Philip to respond about pre-5378, if you’d like, or I can wait. Let me know your preference.

Alissa

> On Feb 11, 2016, at 8:47 AM, David Bryan <[email-masked]> wrote:
> 
> Hi all,
>

---

From: David Bryan <[email-masked]>
Date: Thu, 18 Feb 2016 17:54:48 -0600

Spencer actually responded to me directly (he's no longer on the list
directly) - I will forward the response and continue to try to reach
Phillip.

I'm fine with moving to LC while I try to reach Phillip.

Thank you very much,
On Feb 18, 2016 4:50 PM, "Alissa Cooper" <[email-masked]> wrote:

> David,
>
> The changes look good to me, thanks. I can request IETF LC while we wait
> for Spencer and Philip to respond about pre-5378, if you’d like, or I can
> wait. Let me know your preference.
>
> Alissa
>
>> I have reviewed this document in preparation for IETF last call. There
>> are a few edits that need to be made before this document can be
>> last-called:
>>
> Fixed. In addition, RFCs 7363 and 7374 have issued since the last
> revision. I have corrected them as well. -sip and -diagnostics are still
> drafts, and are still referenced (current version) as such.
>